Create persona set
https://api.faraday.ai/v1/persona_setsInvoke the build of a new persona set for a given cohort
Authentication
Provide your API key in the Authorization header. You can find your API key in the Settings page of the dashboard.
Authorization: Bearer YOUR_TOKENBody
Configuration parameters for the new persona model
clustering_dimensionsobjectThe dimensions the clustering system should consider when discovering the personas in a persona set.
By default, Faraday will consider a fixed set of broadly effective dimensions when discovering you...
The cohort to organize into personas. Personas are built from cohort members matched at the individual level.
"5bf9aa70-7bf1-4ef1-a131-8c84441be231"Deprecated. This field has no effect. Faraday keeps the value only for backward compatibility.
falsefalseDeprecated. Use clustering_dimensions instead.
Specify Faraday provided attributes to use in modeling. Only available to accounts with an identity graph feature store set.
Mutually exclusive with ...
fig/total_purchase_count_observed_quintile, fig/total_amount_spent_on_purchases_quintile, fig/age, fig/collectibles_art_antiques_interest, fig/general_book_reading_interest, fig/charitable_donation_interest, fig/nutrition_interest, fig/household_education, fig/automated_valuation_model, fig/tax_assessed_property_value, fig/gardening_interest, fig/gender, fig/fitness_interest, fig/home_ownership_status, fig/household_income, fig/household_size, fig/length_of_residence, fig/interest_in_sports, fig/property_living_area, fig/marital_status, fig/individual_marital_status, fig/music_interest, fig/net_worth, fig/current_installment_loan_to_value, fig/pet_interest, fig/purchased_via_internet, fig/shopping_styles, fig/general_travel_interest, fig/travel_interest, fig/housing_density, fig/credit_score_proxy, fig/marketing_value_overall, fig/home_year_builtDeprecated. Use clustering_dimensions.attribute_max_observation_date instead.
The maximum date for FIG attribute observations used in modeling fields. When set, only attribute data observed on or b...
Deprecated. Use clustering_dimensions instead.
Specify Faraday provided traits to use in modeling.
Only valid on accounts that do not have an identity graph feature store set, which must use model...
fig/actvty_num_purchase_quintile, fig/actvty_ttl_dollars_quintile, fig/age, fig/antiques, fig/books_magazines, fig/charitable_donations, fig/dieting, fig/education, fig/favm, fig/frequent_remodeler, fig/gardener, fig/gender, fig/health_conscious, fig/homeowner_status, fig/household_income, fig/household_income_v2, fig/household_size, fig/length_of_residence, fig/length_of_residence_v2, fig/life_sports_sports_all, fig/living_area, fig/marital_status, fig/music, fig/net_worth, fig/percent_equity, fig/pet_any, fig/purch_chan_internet, fig/shopping_styles, fig/travel, fig/housing_density, fig/value_score_all, fig/year_builtHuman-readable label for this persona set.
"Customers personas"^(?!\s*$).+64number_of_clustersintegerSpecify the exact number of clusters (i.e. personas) there should be in the persona set.
By default, the optimal value for this parameter is determined automatically.
Setting this requires external ...
previewbooleanA persona set in preview mode will not build until preview is turned off.
trueResponses
201The newly created persona set (still building)
activebooleanIs the related cohort using this as the primary persona set?
archived_atstring<date-time>If not null, this resource will no longer receive updates, but will still be visable.
clustering_dimensionsobjectThe dimensions the clustering system should consider when discovering the personas in a persona set.
By default, Faraday will consider a fixed set of broadly effective dimensions when discovering you...
The cohort to organize into personas. Personas are built from cohort members matched at the individual level.
"5bf9aa70-7bf1-4ef1-a131-8c84441be231"When this resource was created. It says nothing about builds; to check status, see Status and timestamps.
Deprecated. This field has no effect. Faraday keeps the value only for backward compatibility.
falsefalseA unique ID for this resource.
"4b3f42dd-b6c3-4f0f-ac18-9e6e47321f83"last_read_input_atstring<date-time>When the latest finished build started reading this resource's configuration and inputs; omitted until the first build finishes. Once this is at or after last_updated_config_at, a build with the cur...
last_updated_config_atstring<date-time>When Faraday registered the latest change to this resource's configuration, or the latest force_update. A create, update or force_update response carries the value then on record (an update that c...
last_updated_output_atstring<date-time>When a build last changed this resource's output. A build that finishes with nothing new to write does not move it.
Deprecated. Use clustering_dimensions instead.
Specify Faraday provided attributes to use in modeling. Only available to accounts with an identity graph feature store set.
Mutually exclusive with ...
fig/total_purchase_count_observed_quintile, fig/total_amount_spent_on_purchases_quintile, fig/age, fig/collectibles_art_antiques_interest, fig/general_book_reading_interest, fig/charitable_donation_interest, fig/nutrition_interest, fig/household_education, fig/automated_valuation_model, fig/tax_assessed_property_value, fig/gardening_interest, fig/gender, fig/fitness_interest, fig/home_ownership_status, fig/household_income, fig/household_size, fig/length_of_residence, fig/interest_in_sports, fig/property_living_area, fig/marital_status, fig/individual_marital_status, fig/music_interest, fig/net_worth, fig/current_installment_loan_to_value, fig/pet_interest, fig/purchased_via_internet, fig/shopping_styles, fig/general_travel_interest, fig/travel_interest, fig/housing_density, fig/credit_score_proxy, fig/marketing_value_overall, fig/home_year_builtDeprecated. Use clustering_dimensions.attribute_max_observation_date instead.
The maximum date for FIG attribute observations used in modeling fields. When set, only attribute data observed on or b...
Deprecated. Use clustering_dimensions instead.
Specify Faraday provided traits to use in modeling.
Only valid on accounts that do not have an identity graph feature store set, which must use model...
fig/actvty_num_purchase_quintile, fig/actvty_ttl_dollars_quintile, fig/age, fig/antiques, fig/books_magazines, fig/charitable_donations, fig/dieting, fig/education, fig/favm, fig/frequent_remodeler, fig/gardener, fig/gender, fig/health_conscious, fig/homeowner_status, fig/household_income, fig/household_income_v2, fig/household_size, fig/length_of_residence, fig/length_of_residence_v2, fig/life_sports_sports_all, fig/living_area, fig/marital_status, fig/music, fig/net_worth, fig/percent_equity, fig/pet_any, fig/purch_chan_internet, fig/shopping_styles, fig/travel, fig/housing_density, fig/value_score_all, fig/year_builtHuman-readable label for this persona set.
"Customers personas"^(?!\s*$).+64number_of_clustersintegerSpecify the exact number of clusters (i.e. personas) there should be in the persona set.
By default, the optimal value for this parameter is determined automatically.
Setting this requires external ...
personasarray[object]The personas that belong to this persona set
previewbooleanA persona set in preview mode will not build until preview is turned off.
trueThe state of this resource's latest build. Until last_read_input_at is at or after last_updated_config_at, no build with the current configuration has finished (starting or running means one i...
"ready"new, starting, running, ready, errorstatus_changed_atstring<date-time>When the status of this resource was last updated.
status_errorstringIf this resource has status == "error", this will contain an error message.
status_needs_fix_fromstringWhat Faraday is waiting for before it builds a resource with status == "error" again. user: a configuration change to this resource or a force_update. support: Faraday support, and `force_upda...
user, supportWhen this resource was last changed, by an edit or by Faraday while building it. Don't use it to check status; use last_updated_config_at and last_read_input_at as Status and timestamps explains.
400The request was invalid.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, INVALID_API_KEY, ACCOUNT_SUSPENDED, ACCOUNT_DELETED, VALIDATION_FAILED, CONFLICT, QUOTA_EXCEEDEDA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
401No API key was supplied.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, INVALID_API_KEY, ACCOUNT_SUSPENDED, ACCOUNT_DELETED, VALIDATION_FAILED, CONFLICT, QUOTA_EXCEEDEDA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
403Access to this resource was forbidden.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, INVALID_API_KEY, ACCOUNT_SUSPENDED, ACCOUNT_DELETED, VALIDATION_FAILED, CONFLICT, QUOTA_EXCEEDEDA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
404The requested resource ID was not found.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, INVALID_API_KEY, ACCOUNT_SUSPENDED, ACCOUNT_DELETED, VALIDATION_FAILED, CONFLICT, QUOTA_EXCEEDEDA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
500An internal server error occurred.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, INVALID_API_KEY, ACCOUNT_SUSPENDED, ACCOUNT_DELETED, VALIDATION_FAILED, CONFLICT, QUOTA_EXCEEDEDA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
Tags
Test request
Request snippet
curl -X POST 'https://api.faraday.ai/v1/persona_sets' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-d '{
"clustering_dimensions": {
"attribute_max_observation_date": "2024-01-01",
"attributes": [
"fig/total_purchase_count_observed_quintile"
],
"streams": {
"key": [
"string"
]
},
"traits": [
"string"
]
},
"cohort_id": "5bf9aa70-7bf1-4ef1-a131-8c84441be231",
"explore": false,
"modeling_attributes": [
"fig/total_purchase_count_observed_quintile"
],
"modeling_field_max_observation_date": "2024-01-01",
"modeling_fields": [
"fig/actvty_num_purchase_quintile"
],
"name": "Customers personas",
"number_of_clusters": 0,
"preview": true
}'Example response
{
"active": true,
"archived_at": "2024-01-01T12:00:00Z",
"clustering_dimensions": {
"attribute_max_observation_date": "2024-01-01",
"attributes": [
"fig/total_purchase_count_observed_quintile"
],
"streams": {
"key": [
"string"
]
},
"traits": [
"string"
]
},
"cohort_id": "5bf9aa70-7bf1-4ef1-a131-8c84441be231",
"created_at": "2024-01-01T12:00:00Z",
"explore": false,
"id": "4b3f42dd-b6c3-4f0f-ac18-9e6e47321f83",
"last_read_input_at": "2024-01-01T12:00:00Z",
"last_updated_config_at": "2024-01-01T12:00:00Z",
"last_updated_output_at": "2024-01-01T12:00:00Z",
"modeling_attributes": [
"fig/total_purchase_count_observed_quintile"
],
"modeling_field_max_observation_date": "2024-01-01",
"modeling_fields": [
"fig/actvty_num_purchase_quintile"
],
"name": "Customers personas",
"number_of_clusters": 0,
"personas": [
{
"avatar": "https://app.faraday.ai/images/persona_stereotypes/face-5.jpg",
"details": {
"bins": "{\n \"age\": [\n {\n \"max\": 20,\n \"min\": 0,\n \"count\": 0,\n \"percent\": 0.0\n },\n //...\n {\n \"max\": 30,\n \"min\": 20,\n \"count\": 6,\n \"percent\": 0.0035608308605341245\n },\n //...\n {\n \"max\": null,\n \"min\": 90,\n \"count\": 0,\n \"percent\": 0.0\n }\n ],\n \"gender\": [\n {\n \"count\": 1396,\n \"value\": \"Female\",\n \"percent\": 0.828486646884273\n },\n {\n \"count\": 289,\n \"value\": \"Male\",\n \"percent\": 0.171513353115727\n }\n ]\n //...\n}\n",
"center": "{\n \"age\": 38.98716,\n \"gender\": \"Female\",\n \"household_size\": 6.61248,\n \"household_income\": 148072.78481\n}\n"
},
"id": "5cc63c04-f451-43e4-98ce-0e755db8f8e6",
"individuals_count": 1000,
"interpretation": {
"marketing_strategems": [
"string"
],
"summary": "string"
},
"name": "Cluster 0"
}
],
"preview": true,
"resource_type": "persona_sets",
"status": "ready",
"status_changed_at": "2024-01-01T12:00:00Z",
"status_error": "string",
"status_needs_fix_from": "user",
"updated_at": "2024-01-01T12:00:00Z"
}